<button (click)="redirect('/adminPanel')">Back</button>
<table>
    <tr>
        <th>First name</th>
        <th>Last name</th>
        <th>Email</th>
        <th>Birthdate</th>
        <th>Gender</th>
        <th>Admin</th>
    </tr>
  <tr *ngFor="let x of userList">
    <td>{{x.FirstName}}</td>
    <td>{{x.LastName}}</td>
    <td>{{x.Email}}</td>
    <td>{{x.dateOfBirth}}</td>
    <td>{{x.gender}}</td>
    <td>{{x.isAdmin}}</td>
    <div style='visibility:hidden' #useremail>{{x.Email}}</div>
    <td><button (click)="viewFlights(useremail.innerHTML)">View flights</button></td>
  </tr>
</table>
<div *ngIf="userFlights">
  <div *ngFor="let x of userFlights">
    <div class="card" style="width: 40rem;">
      <div class="card-body">
        <h5 class="card-title">Booking ID [{{x.BookingID}}] for {{x.Name}}</h5>
        <table class="mat-elevation-z8">
          <tr>
            <td>Cost</td>
            <td>Php. {{x.Price}}</td>
          </tr>
          <tr>
            <td>Booked on</td>
            <td>{{x.BookDate}}</td>
          </tr>
          <tr>
            <td>Flight</td>
            <td>{{x.Airline}} | {{x.FlightCode}}</td>
          </tr>
          <tr>
            <td>Route</td>
            <td>{{x.Origin}} - {{x.Destination}}</td>
          </tr>
          <tr>
            <td>Departs</td>
            <td>{{x.ETD_date}}</td>
          </tr>
          <tr>
            <td>Arrives</td>
            <td>{{x.ETA_date}}</td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>
